﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace _386029_TileViewSample
{
	public class StateConverter : IValueConverter
	{
		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var tileState = (TileViewItemState)value;
			switch (tileState)
			{
				case TileViewItemState.Minimized:
				return FluidContentControlState.Small;
				case TileViewItemState.Restored:
				return FluidContentControlState.Normal;
				case TileViewItemState.Maximized:
				return FluidContentControlState.Large;
				default:
				return FluidContentControlState.Normal;
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return value;
		}

		#endregion
	}
}
